<template>
    <Cn-page :loading="loading" beforeRender>
        <view slot="body">
            <view class="transfer">
                <!-- <div class="transfer-img" ref="qrCodeUrl" /> -->
                <!-- <uqrcode ref="uqrcode" canvas-id="qrcode" :value="content" :options="{ margin: 10 }"></uqrcode> -->
                <uqrcode ref="uqrcode" canvas-id="qrcode" :value="content" size="200"
                         @complete="complete"
                         :loading="false"></uqrcode>
                <view style="height: 200rpx"></view>
                <view class="transfer-text ">请让接收人员扫码接收</view>
                <view class="transfer-btn">
                    <button class="transfer-btn-item" style="background-color: #fff; color: #111" @click="back">
                        返回
                    </button>
                    <button class="transfer-btn-item ml20" @click="scan">扫一扫</button>
                </view>
            </view>
        </view>
    </Cn-page>
</template>
<script>
// import QRCode from 'qrcodejs2'
// import UQRCode from '@/uni_modules/Sansnn-uQRCode/js_sdk/uqrcode/uqrcode.js';

import {transferDevice} from "@/common/api/device";

export default {
    data() {
        return {
            loading: true,
            content: '',
            options: {},
        }
    },
    methods: {
        complete() {
            this.loading = false
        },
        back() {
            uni.navigateBack({delta: 1})
        },
        home() {
            uni.navigateBack({delta: 1})
        },
        transferDevice(userId) {
            transferDevice(this.options.id, userId).then((res) => {
                uni.showToast({
                    title: '移交成功',
                    icon: 'none',
                })
                uni.navigateBack()
            })
        },
        scan() {
            uni.scanCode({
                success: (res) => {
                    console.log(res)
                    let data = JSON.parse(res.result)
                    if (data.type === 'userId') {
                        this.transferDevice(data.id)
                    } else {
                        uni.showToast({
                            title: '请扫描正确的二维码',
                            icon: 'none',
                        })
                    }
                },
            })
        },
    },
    onLoad(options) {
        this.options = options
        this.content = JSON.stringify({
            type: 'transferDevice',
            id: options.id,
        })
    },
}
</script>
<style lang="scss">
.transfer {
    padding: 200rpx 34rpx 0;
    display: flex;
    flex-direction: column;
    align-items: center;

    .transfer-img {
    }

    .transfer-text {
        font-size: 28rpx;
        color: #999999;
        margin-top: 30rpx;
    }

    .transfer-btn {
        display: flex;
        flex-direction: row;
        justify-content: space-between;
        margin-top: 100rpx;
        width: 100%;

        .transfer-btn-item {
            flex: 1;
            height: 80rpx;
            border-radius: 12rpx;
            background-color: $uni-theme-color;
            font-size: 28rpx;
            color: #fff;
            display: flex;
            justify-content: center;
            align-items: center;
        }
    }
}
</style>
